<?php

namespace App\Core\Validator\PropertyRoomRatePrice;

use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;

use Exception;

class PropertyRoomRatePriceBulkUpdateValidator extends BaseValidator
{


    private $updateTypes ;
    private $includeDays;

    public function __construct
    (


        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);
        $this->updateTypes = ["rate", "min_stay", "max_stay", "stop_sell"];
        $this->includeDays = array('Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat');
    }

    public function rules($params = null)
    {
        return
            [
                'rates' => 'array',
                'rates.*.setup_type_id' => 'required|numeric',
                'rates.*.room_id' => 'required|numeric',
                'rates.*.room_rate_mapping_id' => 'required|numeric',
                'rates.*.date' => 'required|date_format:Y-m-d',
                'rates.*.amount' => 'numeric',
            ];


    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }


    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
